
QGIS Application - Feature request #1125

Add ability to undo last edits

2008-06-14 05:44 AM - cdavilam -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11185

Description

When you are digitizing a vector layer it would be very useful to have the ability to undo the last action(s) done.

I know you can exit editing mode without saving changes, but it you have been digitizing for a while and you make a mistake, you have to

lose your work and start it again or to save the error and correct it later.

History

#1 - 2008-07-14 04:08 PM - Tim Sutton

Yes please! Marco I don't know if you noticed that newer Qt 4.x versions introduced an undo framework (search assistant for 'Undo Framework' and you

will find it) based on the command patternd. Perhaps this is of some use in this scenarion?

Regards

Tim

#2 - 2008-09-25 04:06 PM - Giovanni Allegri

I opened the track to see how many "undo" tickets were open.

This feature is, definetly, one of the major needs in QGIS! I can say that this lack is one of the main resons many collegues are not considering QGIS for

their daily work...

#3 - 2008-10-14 01:36 AM - MetroPietro -

I want to reinforce the previous comments. I really like QGis, but cannot recommend it to others until an undo function is built in.

#4 - 2009-06-14 07:27 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Undo functionality added in commit:7fd5ba81 (SVN r10921) and commit:5752dc5b (SVN r10922), it will be get into qgis 1.2 release.

Credits go mainly to Richard Kostecky from qgis-mapper team.
